Async Jobs / REST API

Get job

Poll the status of an async MCP job. Returns progress, status, and result when complete.

GET /api/v1/jobs/{jobId}Deterministic operation

Parameters

workspaceIdOptional · string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
jobIdRequired · string
Job ID returned by async tools
Request example
curl -X GET "https://app.pipeline.help/api/v1/jobs/00000000-0000-4000-8000-000000000000" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "minLength": 1,
      "description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
    },
    "jobId": {
      "type": "string",
      "description": "Job ID returned by async tools"
    }
  },
  "required": [
    "jobId"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview